
Figure - Bug #118737
【AF】【EVT3】【Monkey】0609版本Monkey测异常停止（4+27个APK）
2023-06-12 10:44 - CD TEST-方永红

Status: CLOSED Start date: 2023-06-12

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0609

Resolution: -- Degrated: --

Severity: Critical Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: Monkey Test Root cause:

Description

【执行命令】

monkey --pkg-blacklist-file /sdcard/blackList.txt --hprof --throttle 500 -s 1234567 --pct-touch 35 --pct-motion 25 --pct-appswitch 30 --pct-pinchzoom

5 --pct-trackball 0 --pct-anyevent 5 --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes --ignore-native-crashes

--pct-syskeys 0 -v -v -v 12000000 2>/sdcard/error.txt 1>/sdcard/info.txt

【测试结果】

monkey异常停止，设备进入屏保

History

#1 - 2023-06-12 14:19 - CD FW 曹覃刚

- File Screenshot from 2023-06-12 14-14-39.png added

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

Hi 永红

如飞书沟通，提供的日志有问题，解析出来logcat日志是空的，请参考截图

#2 - 2023-06-12 16:25 - CD TEST-方永红

- Status changed from NEED_INFO to ASSIGNED

- Assignee changed from CD TEST-方永红 to CD SYSTEM-夏旭

hi,夏旭

麻烦看下日志里无相关信息，谢谢。

#3 - 2023-06-12 21:12 - CD SYSTEM-夏旭

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD SYSTEM-夏旭 to CD TEST-方永红

■目前进展

查看prop.txt文件，发现属性sys.tlog.persist.active为1

这个属性是当设备存储不足时主动停止的
■下一步计划

测试确认一下是否设备的存储已经满了

#4 - 2023-07-03 15:44 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

7.3

确认为内存满了，导致TLOG打印不出来，先关闭此问题

#5 - 2023-07-03 15:44 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#6 - 2023-07-03 15:45 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error(12).txt 9.2 MB 2023-06-12 CD TEST-方永红

tlog_35f43216_000224_1113162408.tar.gz 4.8 MB 2023-06-12 CD TEST-方永红

info(6).txt 10.9 MB 2023-06-12 CD TEST-方永红

Screenshot from 2023-06-12 14-14-39.png 19.2 KB 2023-06-12 CD FW 曹覃刚
